<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;

class CategorieController extends Controller
{
    //


    function VoirSuppression ($id) {

        $cate= DB::table('categorie')->where('id',$id)->first();
        return [
            'cate' => $cate,
        ];
    }

    function supprimer () {

        $id=request('id');


        $veri = DB::table('produit')->where('categorie_id', $id)->first();

        if( $veri){

            return redirect()->route('Liste_categorie')->with('error', 'Suppression impossible...Catégorie déja utilisée');

        }else{

            DB::table('categorie')->where('id', $id)->delete();

            return redirect()->route('Liste_categorie')->with('status', 'Catégorie supprimé avec succes');

        }

    }


    function liste()
    {
        if(session('user')== null) {
            return redirect('/admin');
        }

        $cat = DB::table('categorie')->orderBydesc('id')->get();
 
        
        return view('categorie/liste', [

            'cat' => $cat,

            ]);
    }



    function modifier($id) {

        if(session('user')== null) {
            return redirect('/admin');
        }
       
        $catego = DB::table('categorie')->where('id', $id)->first();
		$cat = DB::table('categorie')->get();
        return view('categorie/modification',[

            'catego' => $catego,
			'cat' => $cat,
          
        ]);
    }


    function nouveau () {

        if(session('user')== null) {
            return redirect('/admin');
        }
		$cat = DB::table('categorie')->get();
        return view('categorie/nouveau_categorie',[
			'cat' => $cat,
		]);
    }


    function enregistrer (Request $request){

        $liben= request("liben");
		
        $libfr= request("libfr");

        $tof=$request->file('tof');

        $name_img = $tof->getClientOriginalName();
              
        $veri = DB::table('categorie')->where('libelle_en', $liben)->where('libelle_fr', $libfr)->first();

            if($veri){
        
                return redirect()->route('Nouveau_categorie')->with('error', 'Cet enregistrement existe déjà !');  

            }

            else{
                  
                    DB::table('categorie')->insert(
    
                        [   
                            'libelle_en' => $liben,
                            'libelle_fr' => $libfr,
                            'image_categorie' => $tof->storeAs('Image_categorie', time(). '_'.$name_img, 'public'),
                        ]
                    );

                return redirect()->route('Nouveau_categorie')->with('status', 'Enregistrement effectué avec succes !');

            } 

    }



    function valider (Request $request, $id){

        $liben= request("liben");
		
        $libfr= request("libfr");

        $tof=$request->file('tof');
		

        if($tof){

            $name_img = $tof->getClientOriginalName();


            DB::table('categorie')->where('id', $id)->update(
    
                [   
                    'libelle_en' => $liben,
                    'libelle_fr' => $libfr,
                    'image_categorie' => $tof->storeAs('Image_categorie', time(). '_'.$name_img, 'public'),
                ]
            );

        return redirect()->route('Liste_categorie')->with('status', 'Modification effectuée avec succes !');


        } else{
                  
            DB::table('categorie')->where('id', $id)->update(
    
                [   
                    'libelle_en' => $liben,
                    'libelle_fr' => $libfr,
                    
                ]
            );

        return redirect()->route('Liste_categorie')->with('status', 'Modification effectuée avec succes !');

              } 

    }






}
